## mmlib 1.4.2

=== meson_options.txt ===
option('tests', type: 'feature', value: 'auto',
    description: 'build unit tests')
option('docs', type: 'feature', value: 'auto',
    description: 'build documentation')
option('nls', type: 'feature', value: 'auto',
    description: 'use Native Language Support (Translations)')

option('lock-server-process', type: 'boolean', value: true,
    description: '''windows-only: configure whether lockserver must be built in
                                  the mmlib dll (false) of as an external
                                  programm (true)''')

=== debian/changelog ===
mmlib (1.4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062942

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 20:11:50 +0000

mmlib (1.4.2-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 09:31:18 +0200

mmlib (1.4.2-1) unstable; urgency=medium

  * Initial release to Debian (Closes: #1054283)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Oct 2023 18:10:21 +0200

=== debian/control ===
Source: mmlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Nicolas Bourdaud <nicolas.bourdaud@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               meson,
               gettext,
               check,
               python3-sphinx:native,
               python3-sphinx-rtd-theme:native
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/mmlib
Vcs-Git: https://salsa.debian.org/med-team/mmlib.git
Homepage: https://github.com/mmlabs-mindmaze/mmlib
Rules-Requires-Root: no

Package: libmmlib1t64
Provides: ${t64:Provides}
Replaces: libmmlib1
Breaks: libmmlib1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: mmlib-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: mmlib library (shared lib)
 mmlib is the general purpose library providing helper functions to other
 module. It provides a cross-platform OS abstaction layer as well as facilities
 like logging or error reporting.
 .
 This package contains the shared library

Package: libmmlib-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libmmlib1t64 (= ${binary:Version}),
         ${misc:Depends}
Recommends: mmlib-doc
Breaks: libmmlib0 (<< 0.0.1)
Description: mmlib library (Development files)
 mmlib is the general purpose library providing helper functions to other
 module. It provides a cross-platform OS abstaction layer as well as facilities
 like logging or error reporting.
 .
 This package contains the files needed to compile and link programs which
 use mmlib. The manpages are shipped in this package.

Package: mmlib-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: mmlib documentation
 mmlib is the general purpose library providing helper functions to other
 module. It provides a cross-platform OS abstaction layer as well as facilities
 like logging or error reporting.
 .
 This package contains the html doc and examples of mmlib.

Package: mmlib-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libmmlib0
Replaces: libmmlib0
Description: mmlib library (translations)
 mmlib is the general purpose library providing helper functions to other
 module. It provides a cross-platform OS abstaction layer as well as facilities
 like logging or error reporting.
 .
 This package contains the localization components of mmlib.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	export DEB_CFLAGS_MAINT_APPEND=-O3
endif
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions

%:
	dh  $@ --with sphinxdoc --buildsystem=meson

override_dh_autoreconf:

override_dh_compress:
	dh_compress --exclude=examples

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/mmlabs-mindmaze/mmlib/tags (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
